UbixOS V2 2.0

Data Fields
spinLock Struct Reference

`#include <spinlock.h>`

Collaboration diagram for spinLock:

## Data Fields
uint32_t | locked
struct spinLock * | next

## Detailed Description

Definition at line 41 of file spinlock.h.

## Field Documentation

## ◆ locked

uint32_t spinLock::locked

Definition at line 43 of file spinlock.h.

Referenced by spinTryLock(), and spinUnlock().

## ◆ next

struct spinLock* spinLock::next

Definition at line 42 of file spinlock.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ubixos/spinlock.h